package de.szut.lf8_starter.project;

import de.szut.lf8_starter.exceptionHandling.ResourceNotFoundException;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;

@Service
public class ProjectService {
    private final ProjectRepository projectRepository;

    public ProjectService(ProjectRepository projectRepository) {
        this.projectRepository = projectRepository;
    }

    public ProjectEntity create(ProjectEntity projectEntity) {
        return this.projectRepository.save(projectEntity);
    }

    public List<ProjectEntity> readAll() {
        return this.projectRepository.findAll();
    }

    public ProjectEntity findById(Long id) {
        Optional<ProjectEntity> articleEntity = projectRepository.findById(id);

        if (articleEntity.isEmpty()) {
            throw new ResourceNotFoundException("Project with id " + id + " not found");
        }

        return articleEntity.get();
    }
}
